import React from "react";
import styled from "@emotion/styled";

import { down } from "~/config/var";

const DangerCactus = () => {
    return (
        <SDangerCactus
            href="https://dangercactus.io"
            target="_blank"
            rel="noreferrer noopener"
        >
            <SText
                xmlns="http://www.w3.org/2000/svg"
                viewBox="0 0 941.772 357.147"
            >
                <path
                    d="M6.556 179.634c1.225-.764 931.846-7.947 933-6.73s4.35 172.472 0 174.986S3.308 359.922.591 356.358s4.74-175.96 5.965-176.724z"
                    className="dc__bottom_bg"
                />
                <path
                    d="M794.018 329.37c.667 1.81 52.1 27.007 70.027 27.007 44.693 0 75.046-22.466 75.046-60.228 0-32.265-23.661-43.737-49-50.19-12.428-3.107-23.422-4.3-23.422-13.623 0-7.409 7.887-9.8 15.535-9.8 10.516 0 28.858 10.629 30.831 10.038s20.495-33.993 19.359-36.806-26.529-16.73-60.706-16.73c-47.561 0-68.593 28.68-68.593 58.316 0 37.045 35.372 45.41 49.473 49.234 11.95 3.107 22.7 5.5 22.7 15.057 0 4.063-2.39 9.56-14.1 9.56-14.579 0-39.4-19.448-41.825-19.12s-25.987 35.473-25.325 37.285zM623.466 184.058c-1.676 2.251 0 96.556 0 96.556 0 18.881 4.541 75.763 85.323 75.763s85.323-56.882 85.323-75.763c0 0 1.366-95.018 0-96.556s-64.849-1.956-66.92 0 0 98.707 0 98.707c0 8.126-1.434 25.1-18.4 25.1s-18.4-16.969-18.4-25.1c0 0 1.813-96.748 0-98.707s-65.25-2.251-66.926 0zM511.507 351.358c1.129 1.975 65.5 1.973 66.92 0s-.627-117.23 0-118.783 34.094 1.13 35.133 0 1.486-47.546 0-48.517-134.85-1.1-137.186 0-1.266 46.745 0 48.517 35.133 0 35.133 0-1.129 116.808 0 118.783zM324.521 351.358zm141.966-63.813c-1.432-.105-22.466 15.3-37.284 15.3-17.208 0-37.045-8.365-37.045-33.46 0-15.3 7.409-36.806 37.284-36.806 11.711 0 35.775 18.244 37.045 17.686s.772-56.639 0-58.555-32.265-12.667-45.888-12.667c-42.542 0-92.254 27.963-92.254 88.669 0 53.536 38.718 88.669 93.21 88.669 20.076 0 44.049-9.078 44.932-10.277s1.432-58.454 0-58.559zM150.887 351.358c.886 2.1 67.117 1.543 68.593 0s5.466-23.366 6.692-24.378 40.176-1.787 42.064 0 4.888 23.4 6.692 24.378 67.249 2.6 68.593 0-57.75-165.924-59.511-167.3-71.78-1.571-73.612 0-60.397 165.2-59.511 167.3zm96.317-108.745c1.631.165 12.84 41.924 11.711 42.542s-22.535 1.785-23.422 0 10.08-42.707 11.711-42.542zM144.346 287.545c-1.87-.362-22.466 15.3-37.284 15.3-17.208 0-37.045-8.365-37.045-33.46 0-15.3 7.409-36.806 37.284-36.806 11.711 0 35.534 18.43 37.045 17.686s2.206-55.678 0-58.555-32.265-12.671-45.89-12.671c-42.542 0-92.254 27.963-92.254 88.669 0 53.536 38.718 88.669 93.21 88.669 20.076 0 43.755-8.344 44.932-10.277s1.872-58.193.002-58.555z"
                    fill="#fff"
                    className="dc__bottom_text"
                />
                <path
                    d="M796.503 148.355c1.288 1.828 55.848 1.259 57.609 0s-.929-44.153 0-44.647 17.636 43.54 18.929 44.647 65.485.97 66.044 0-36.876-54.252-36.417-56.169 27.364-19.546 27.364-40.738c0-38.886-33.125-47.116-53.7-47.116 0 0-78.228-2.314-79.829 0s-1.288 142.195 0 144.023zm57.609-106.576c.988-.48 5.761 0 5.761 0 5.349 0 15.225.823 15.225 13.579 0 12.962-10.082 13.785-15.225 13.785 0 0-5.284.558-5.761 0s-.99-26.884 0-27.364zM675.938 148.356c1.677 1.876 100.816 0 100.816 0s1.079-40.843 0-41.766-42.847.274-43.207 0-.386-13.555 0-13.785 37.948.623 38.886 0 .972-33.508 0-34.565-38.073.866-38.886 0-.7-11.808 0-12.139 42.4.591 43.207 0 1.344-40.9 0-41.766-98.982-2.264-100.816 0-1.676 142.145 0 144.021zM573.271 61.942c-.766 3.047-.766 30.995 0 33.125s29.539-.833 30.245 0-9.464 17.283-23.249 17.283a35.312 35.312 0 01-35.568-34.977c0-21.809 16.845-35.594 35.774-35.594 10.493 0 25.941 12.129 27.853 11.88s33.269-18.887 33.152-22.675S617.146-.657 578.415.013s-84.356 38.886-84.356 77.36c0 44.03 31.685 75.3 84.973 75.3 51.437 0 79.212-30.45 79.212-73.451 0 0 .533-15.817 0-17.283s-84.208-3.044-84.973.003zM329.461 148.356c7.217 7.073 54.728 0 54.728 0s-2.414-68.533 0-69.131 34.944 66.328 38.886 69.131 50.671 4.18 53.288 0 2.268-138.83 0-144.022-52.43-2.14-54.728 0 2.6 67.855 0 67.69-34.584-65.7-38.063-67.69-50.139-4.872-54.111 0-7.216 136.949 0 144.022zM153.959 148.356c3.293 5.537 56.615 1.853 59.049 0s4.4-20 5.761-20.986 35.353-.379 36.211 0 3.4 19 5.761 20.986 56.329 4.995 59.049 0S272.731 7.563 268.559 4.334s-60.019-1.341-63.37 0-54.523 138.484-51.23 144.022zm82.916-93.614c2.117.07 11.222 34.7 10.082 36.623s-19.639 2.157-20.163 0 7.964-36.693 10.081-36.624zM6.44 148.355c8.183-.11 67.073 0 67.073 0 53.905 0 77.155-33.331 77.155-72.011 0-32.3-15.431-72.011-77.155-72.011 0 0-61.381-3.885-67.073 0s-8.184 144.132 0 144.022zm57.609-41.765c-1.244-.392-.449-60.044 0-60.489s4.526 0 4.526 0c16.048 0 27.158 9.464 27.158 30.245 0 28.6-20.369 30.245-27.158 30.245a16.77 16.77 0 01-4.526-.001z"
                    className="dc__top_text"
                />
            </SText>
        </SDangerCactus>
    );
};

const white = "#ffffff";
const black = "#151515";
const red = "#ED253F";

const SDangerCactus = styled.a`
    position: relative;
    display: flex;
    transition: all 0.2s ease-in-out;
    margin-left: auto;
    ${down("md")} {
        margin: 2em 0 0;
        width: 100%;
    }
    .dc__top_text {
        transition: all 0.2s ease-in-out;
        fill: ${black};
    }
    .dc__bottom_bg {
        transition: all 0.2s ease-in-out;
        fill: ${red};
    }
    .dc__bottom_text {
        transition: all 0.2s ease-in-out;
        fill: ${white};
    }
    &:hover {
        .dc__bottom_bg {
            fill: ${red};
        }
        .dc__bottom_text {
            fill: ${red};
        }
    }
`;

const SText = styled.svg`
    height: 1.4em;
    width: auto;
    ${down("md")} {
        height: 1.2em;
    }
`;

export default DangerCactus;
